IBM Support

Informix Warehouse Accelerator System Requirements

Product documentation


Abstract

This document describes the system requirements for IBM® Informix Warehouse Accelerator and related tools.

Content


Last Modified: July 11, 2016


IBM® Informix® Warehouse Accelerator runs on Linux Intel x86_64(EM64T/ AMD64) and IBM POWER (Little Endian)​ systems. The Informix database server can be collocated on those systems, or it can run on one of a number of UNIX operating systems.

Important:

  • Both the Informix and Informix Warehouse Accelerator versions must be at the same release and fix pack level. For example: Informix 12.10.FC2 and Informix Warehouse Accelerator 12.10.FC2.
  • Informix Warehouse Accelerator keeps compressed data in memory. The computer where Informix Warehouse Accelerator is installed must be configured with enough memory to accommodate the size of the data marts. For information, see the topic, Configuring memory for Informix Warehouse Accelerator. in the Informix information center:http://www.ibm.com/support/knowledgecenter/SSGU8G_12.1.0/com.ibm.acc.doc/ids_acc_502.htm

The computer on which you install Informix Warehouse Accelerator must have a CPU with the Streaming SIMD Extensions 3 (SSE3) instruction set. To verify what is installed on the computer, you can run the cat /proc/cpuinfo command and look at the flags that are returned.

For example, you can use the configuration that is shown in the following table.

Component Capacity or Size
System IBM® System x3850 X5
Processor Intel Xeon CPU X7560 @ 2.26GHz (8-core)
Number of processors 4
Memory 512 GB

Informix Warehouse Accelerator can accelerate queries for an Informix database server that runs on one of the following operating systems:
  • AIX® 64-bit
  • HP-UX on Itanium 64-bit
  • Linux x86_64 64-bit
  • Linux PPC64LE 64-bit
  • Solaris SPARC 64-bit
  • Solaris x64 64-bit


Informix Warehouse Accelerator

Platform: Linux (Intel)
Hardware: Intel® x86_64(EM64T/ AMD64)​

Minimum supported Linux versions
RHEL = Red Hat Enterprise Linux
SLES = SUSE Linux Enterprise Server
Operating System version Informix Warehouse Accelerator 12.10 Informix Warehouse Accelerator 11.70
RHEL 5 12.10.FC7
Additional OS requirements:
- Minimum Update 3
- Base kernel version 2.6.18
- Glibc version 2.5
11.70.FC8
Additional OS requirements:
- Minimum Update 3
- Base kernel version 2.6.18
- Glibc version 2.5
RHEL 6 12.10.FC7
Additional OS requirements:
- Base kernel version 2.6.32
- Glibc version 2.12
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32
- Glibc version 2.12
RHEL 7 12.10.FC7
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
SUSE SLES 11 12.10.FC7
Additional OS requirements:
- Base kernel version 2.6.27
- Glibc version 2.9
11.70.FC8
Additional OS requirements:
- Base kernel version 2.6.27
- Glibc version 2.9
SUSE SLES 12 12.10.FC7
Additional OS requirements:
- Base kernel version 3.12.28
- Glibc version 2.19
Ubuntu 14.04 LTS 12.10.FC7
Additional OS requirements:
- Base kernel version 3.13
- Glibc version 2.19
Platform: Linux (IBM POWER Little Endian)
Hardware: IBM POWER8® for ppc64le

Minimum supported Linux versions
RHEL = Red Hat Enterprise Linux
SLES = SUSE Linux Enterprise Server
Operating System version Informix Warehouse Accelerator 12.10 Informix Warehouse Accelerator 11.70
RHEL 7.1 12.10.FC7
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
- Xerces-C version 3.1.1

* See additional notes below #1.
SUSE SLES 12 12.10.FC7
Additional OS requirements:
- Base kernel version 3.12.28
- Glibc version 2.19
- Xerces-C version 3.1.1

* See additional notes below #1.
Ubuntu 14.04.2 LTS 12.10.FC7
Additional OS requirements:
- Base kernel version 3.16
- Glibc version 2.19
- Xerces-C version 3.1.1

* See additional notes below #1.
Important: You must use the same version of Informix and Informix Warehouse Accelerator.

Notes:

  1. Additional requirements for IBM POWER (Little endian)
    The following package has to be installed on your Linux system of both the Informix Warehouse Accelerator (IWA) and the Informix Database Server (IDS) connecting to IWA, if they run on Linux Power Series (little endian):
    libxerces-c-3.1

    Detail
    The Library package Xerces-C++ ( libxerces-c3.1 ) needs to be previously installed on your Linux systems on Power Series (little endian) where the Informix Warehouse Accelerator (IWA) and/or where the Informix database server using IWA will run:

    libxerces-c-3.1.so

    A common installation place for this library is:

    libxerces-c-3.1.so => /usr/lib64/libxerces-c-3.1.so

    The directory containing libxerces-c-3.1.so file must be added to your LD_LIBRARY_PATH environment variable before using IWA.

    On Power8 LE systems, the Linux system needs to provide libxerces, hence libxerces must be pre-installed.

    Note that this requisite applies to both systems:
    • the installation of IWA itself on Linux on Power8 LE,
    • the installation of Informix database server (IDS) on Power8 LE that connects to an IWA.

  2. Cluster configurations
    Following are the additional hardware requirements if you install the Informix Warehouse Accelerator on a cluster system:
    • The number of CPUs and the amount of memory must be the same on each cluster node.
    • You must have at least two cluster nodes. The maximum number of cluster nodes is 256.



Smart Analytics Optimizer Studio
Informix Warehouse Accelerator includes an Eclipse-based administration interface, Smart Analytics Optimizer Studio. You use Smart Analytics Optimizer Studio to administer Informix Warehouse Accelerator.

You can install Smart Analytics Optimizer Studio on a computer that runs one of the following operating systems:
  • 32-bit Linux
  • 32-bit Windows
  • 64-bit Windows




Related information

Release notes for IBM Informix Warehouse Accelerator
IBM Informix Server System Requirements

Copyright date

2016

Document information

More support for: Informix Servers
Informix Warehouse Accelerator

Software version: 11.7, 12.1

Operating system(s): AIX, HP-UX, Linux, Solaris

Reference #: 7021332

Modified date: 2016-07-11